--Code for organizing the frame order
local TopWindow

function Recount:SetLevel(frame,level)
	local Children = { frame:GetChildren() }
	local OldLevel = frame:GetFrameLevel()
	frame:SetFrameLevel(level)
	for _,v in ipairs(Children) do
		Recount:SetLevel(v,v:GetFrameLevel()+(level-OldLevel))
	end
end

function Recount:InitOrder()
	TopWindow=UIParent

	Recount:AddWindow(Recount.MainWindow)
	Recount:AddWindow(Recount.DetailWindow)
	Recount:AddWindow(Recount.GraphWindow)
end

function Recount:SetWindowTop(window)	
	local Check=window.Above

	while Check~=nil do
		window.Above=Check.Above
		Check.Above=window

		Check.Below=window.Below
		window.Below=Check

		Check.Below.Above=Check
		
		Recount:SetLevel(Check,Check.Below:GetFrameLevel()+10)		
		Check=window.Above
	end
	Recount:SetLevel(window,window.Below:GetFrameLevel()+10)
	TopWindow=window
end

function Recount:AddWindow(window)
	window.Below=TopWindow
	TopWindow.Above=window
	window.Above=nil
	
	Recount:SetLevel(window,TopWindow:GetFrameLevel()+10)
	TopWindow=window
end